Skip to content
GET /collection

Query Parameters

qstring

Substring match on the name or description. LIKE wildcards are matched literally. Max 200 characters.

Response Body

next_cursorstring,null
prev_cursorstring,null
resultobject[]
access_summary
access_viastring
can_manageboolean
can_revoke_shareboolean
can_see_sharesboolean
can_shareboolean
can_transferboolean
can_useboolean
created_atstring
descriptionstring
field_countinteger
idstring
namestring
owner_avatar_urlstring,null

The person's picture: their stored profile picture, else a Gravatar URL (d=404, 96px) derived from their email (the address itself is not sent), else null. Draw initials when it is null or the image fails to load.

owner_display_namestring,null
owner_user_idstring
row_scope_fieldstring,null
row_visibilitystring
Possible values:
allown
schema_versioninteger
statsobject,null
4 properties
as_ofstring,null
bytesinteger
data_versioninteger
row_countinteger
updated_atstring
curl -X GET 'https://api.elaichi.ai/collection' \
  -H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
  -H 'Content-Type: application/json'
const response = await fetch('https://api.elaichi.ai/collection', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import os
import requests

url = "https://api.elaichi.ai/collection"
headers = {
    "Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
    "Content-Type": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())